Page MenuHomePhabricator

Allow revisions to be held as drafts, even after builds finish
ClosedPublic

Authored by epriestley on Oct 27 2017, 4:10 PM.

Details

Summary

Ref T2543. Instead of autosubmitting revisions to "Needs Review" when builds finish, allow them to be held in "Draft" indefinitely.

There's currently no UI for this. I plan to just expose it as arc diff --draft for now, in a followup change.

Test Plan
  • Created a revision (via Conduit) with "hold as draft", saw it hold as draft after builds finished.
  • Created a revision (normally), saw it autosubmit after builds finished.
  • Requested review of a "hold as draft" revision to kick it out of draft state.

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

epriestley created this revision.Oct 27 2017, 4:10 PM
epriestley requested review of this revision.Oct 27 2017, 4:11 PM
amckinley requested changes to this revision.Oct 28 2017, 3:27 PM
amckinley added inline comments.
src/applications/differential/storage/DifferentialRevision.php
716

Unused argument.

Should be return $this->setProperty(self::PROPERTY_DRAFT_HOLD, $hold);?

This revision now requires changes to proceed.Oct 28 2017, 3:27 PM
  • Fix setHoldAsDraft() implementation to respect parameter.
amckinley accepted this revision.Oct 31 2017, 2:48 PM
This revision is now accepted and ready to land.Oct 31 2017, 2:48 PM
This revision was automatically updated to reflect the committed changes.